<?php
  require_once 'app/model/db.class.php';
  require_once 'app/model/rangos.php';

   $obj = new database();

   $grado=$_SESSION['grado'];
   $curso=$_SESSION['curso'];
   $periodo=$_SESSION['periodo'];
   $asignatura=$_SESSION['asignatura'];
   $jornada=$_SESSION['jornada'];

   $notas=explode("/",$_POST['notas']);
           
    //----------- Recuperamos No de planilla y No de Registro ----------
   
    $obj->conectar(); 
    $obj->consulta("set names 'utf8'");


    //---VERIFICAMOS SI EXISTE LA PLANILLA-----

   $verificar="select numero,grado, 
               curso,periodo, asignatura, jornada 
               from boletin_parcial
               where grado='".$grado."' 
               and curso='".$curso."' 
               and periodo='".$periodo."' 
               and asignatura='".$asignatura."' 
               and jornada='".$jornada."'";

   $bol = $obj->consulta($verificar);
   $val = $obj->fetch_assoc($bol);
   $registro=$obj->numero_de_filas($bol); // obtenemos el numero de filas

   $sw="false";

   if ($registro==1){
       $sw="true";
       $num=$val['numero'];
   }

  //-------------------------------


    $numeros=$obj->consulta("select anolectivo,noplanilla_parcial from parametros");
    $row = $obj->fetch_assoc($numeros);
    $anolectivo= $row['anolectivo'];

    if ($sw=="false")
        $planilla= $row['noplanilla_parcial'];
    else
        $planilla= $num;

    //-----Actualizamos los consecutivos -------

    if ( $sw=="false")
         $obj->consulta("update parametros set noplanilla_parcial='".($planilla+1)."'");

    //-----------Grabar en la tabla Boletines si no existe -----------

    if ($sw=="false") {

        $verif="select * from boletin_parcial ";
        $verif.="where grado='".$grado."' and curso='".$curso."' and periodo='".$periodo."' and asignatura='".$asignatura."' and jornada='".$jornada."'";

        $bol = $obj->consulta($verif);
        $reg=$obj->numero_de_filas($bol); // obtenemos el numero de filas

        if ($reg==0)
            $obj->consulta("insert into boletin_parcial (numero,anolectivo,asignatura,periodo,jornada,grado,curso) values ('".$planilla."','".$anolectivo."','".$asignatura."','".$periodo."','".$jornada."','".$grado."','".$curso."')");

    }
    
        $n_secuencial=0;
        for ($x=0;$x<count($notas)-1;$x++){
                
             $info_alumno=explode("*",$notas[$x]);

             $detbol = $obj->consulta("SELECT * from detalleboletin_parcial where boletin='".$planilla."' and alumno='".$info_alumno[0]."'");            
             $n=$obj->numero_de_filas($detbol);
             
             if ($n==0){
                 
                 $numeros=$obj->consulta("select noregistro_parcial from parametros");
                 $row1 = $obj->fetch_assoc($numeros);

                 $registro=$row1['noregistro_parcial'];
                 $obj->consulta("update parametros set noregistro_parcial=(noregistro_parcial+1)");
                
                 $obj->consulta("INSERT into detalleboletin_parcial (secuencial,boletin,alumno) values ('".$registro."','".$planilla."','".$info_alumno[0]."')");
                                  
                 $n_secuencial=$registro;
                 
             }
             else{
                 
                 $row1 = $obj->fetch_assoc($detbol);
                 $n_secuencial=$row1['secuencial'];

             }
             
             $obj->consulta("UPDATE detalleboletin_parcial set descripcion='".$info_alumno[1]."'
                             WHERE secuencial='".$n_secuencial."' 
                             AND alumno='".$info_alumno[0]."'");
                          
        } 

    echo "<BR><CENTER><B>REGISTROS GRABADOS</B></CENTER>";

    $obj->disconnect();               

?>
